import { defineConfig } from 'vitepress'

export default defineConfig({
  title: 'Funkwhale Ui',
  cleanUrls: true,
  cacheDir: './.vitepress/.vite',
  themeConfig: {
    nav: [
      { text: 'Home', link: 'https://funkwhale.audio' },
      { text: 'Gitlab', link: 'https://dev.funkwhale.audio/funkwhale/ui' },
    ],
    sidebar: [
      {text:'Contributing', link:'/contributing'},
      {
        text: 'Using Color', link: '/using-color'
      },
      {
        text: 'Using Components', link: '/using-components'
      },
      {
        text: 'Designing Pages', link: '/designing-pages'
      },
      {
        items: [
          { text: 'Activity', link: '/components/ui/activity' },
          { text: 'Alert', link: '/components/ui/alert' },
          {
            text: 'Card', link: '/components/ui/card',
            items: [
              { text: 'Album Card', link: '/components/ui/card/album' },
              { text: 'Artist Card', link: '/components/ui/card/artist' },
              { text: 'Playlist Card', link: '/components/ui/card/playlist' },
              { text: 'Podcast Card', link: '/components/ui/card/podcast' },
              { text: 'Radio Card', link: '/components/ui/card/radio' },
            ],
          },
          {
            text: 'Content Navigation',
            items: [
              { text: 'Pagination', link: '/components/ui/pagination' },
              { text: 'Table of Contents', link: '/components/ui/toc' },
              { text: 'Tabs', link: '/components/ui/tabs' },
            ],
          },
          { text: 'Link',
            link: 'components/ui/link'
          },
          {
            text: 'Form',
            items: [
              {
                text: 'Button', link: '/components/ui/button',
                items: [
                  { text: 'Options Button', link: '/components/ui/button/options' },
                  { text: 'Play Button', link: '/components/ui/button/play' },
                ],
              },
              { text: 'Input', link: '/components/ui/input' },
              { text: 'Popover (Dropdown Menu)', link: '/components/ui/popover' },
              { text: 'Textarea', link: '/components/ui/textarea' },
              { text: 'Toggle', link: '/components/ui/toggle' },
            ],
          },
          {
            text: 'Layout', link: '/components/ui/layout/',
            items: [{ text: "Spacer", link: "/components/ui/layout/spacer" }]
          },
          { text: 'Loader', link: '/components/ui/loader' },
          { text: 'Modal', link: '/components/ui/modal' },
          { text: 'Pill', link: '/components/ui/pill' },
        ],
      },
    ],
    search: {
      provider: 'local',
    },
  },
})
